Nous allons utiliser les deux techniques que je viens de vous montrer pour remplir un peu notre base. N'oubliez pas de modifier les commandes données pour ajouter le chemin vers vos fichiers,


# Exécution de commandes SQL

Voici donc le code que je vous demande de copier-coller dans votre éditeur de texte préféré, puis de le sauver sous le nom remplissageAnimal.sql (ou un autre nom de votre choix).


[[secret]]
| ```sql
| INSERT INTO Animal (espece, sexe, date_naissance, nom, commentaires) VALUES 
| ('chien', 'F', '2008-02-20 15:45:00' , 'Canaille', NULL),
| ('chien', 'F','2009-05-26 08:54:00'  , 'Cali', NULL),
| ('chien', 'F','2007-04-24 12:54:00' , 'Rouquine', NULL),
| ('chien', 'F','2009-05-26 08:56:00' , 'Fila', NULL),
| ('chien', 'F','2008-02-20 15:47:00' , 'Anya', NULL),
| ('chien', 'F','2009-05-26 08:50:00' ,'Louya' , NULL),
| ('chien', 'F', '2008-03-10 13:45:00','Welva' , NULL),
| ('chien', 'F','2007-04-24 12:59:00' ,'Zira' , NULL),
| ('chien', 'F', '2009-05-26 09:02:00','Java' , NULL),
| ('chien', 'M','2007-04-24 12:45:00' ,'Balou' , NULL),
| ('chien', 'M','2008-03-10 13:43:00' ,'Pataud' , NULL),
| ('chien', 'M','2007-04-24 12:42:00' , 'Bouli', NULL),
| ('chien', 'M', '2009-03-05 13:54:00','Zoulou' , NULL),
| ('chien', 'M','2007-04-12 05:23:00' ,'Cartouche' , NULL),
| ('chien', 'M', '2006-05-14 15:50:00', 'Zambo', NULL),
| ('chien', 'M','2006-05-14 15:48:00' ,'Samba' , NULL),
| ('chien', 'M', '2008-03-10 13:40:00','Moka' , NULL),
| ('chien', 'M', '2006-05-14 15:40:00','Pilou' , NULL),
| ('chat', 'M','2009-05-14 06:30:00' , 'Fiero', NULL),
| ('chat', 'M','2007-03-12 12:05:00' ,'Zonko', NULL),
| ('chat', 'M','2008-02-20 15:45:00' , 'Filou', NULL),
| ('chat', 'M','2007-03-12 12:07:00' , 'Farceur', NULL),
| ('chat', 'M','2006-05-19 16:17:00' ,'Caribou' , NULL),
| ('chat', 'M','2008-04-20 03:22:00' , 'Capou', NULL),
| ('chat', 'M','2006-05-19 16:56:00' , 'Raccou', 'Pas de queue depuis la naissance');
| ```

Vous n'avez alors qu'à taper :


```sql
SOURCE remplissageAnimal.sql;
```


# LOAD DATA INFILE

À nouveau, copiez-collez le texte ci-dessous dans votre éditeur de texte, et enregistrez le fichier. Cette fois, sous le nom `animal.csv`.


[[secret]]
| ```CSV
| "chat";"M";"2009-05-14 06:42:00";"Boucan";NULL
| "chat";"F";"2006-05-19 16:06:00";"Callune";NULL
| "chat";"F";"2009-05-14 06:45:00";"Boule";NULL
| "chat";"F";"2008-04-20 03:26:00";"Zara";NULL
| "chat";"F";"2007-03-12 12:00:00";"Milla";NULL
| "chat";"F";"2006-05-19 15:59:00";"Feta";NULL
| "chat";"F";"2008-04-20 03:20:00";"Bilba";"Sourde de l'oreille droite à 80%"
| "chat";"F";"2007-03-12 11:54:00";"Cracotte";NULL
| "chat";"F";"2006-05-19 16:16:00";"Cawette";NULL
| "tortue";"F";"2007-04-01 18:17:00";"Nikki";NULL
| "tortue";"F";"2009-03-24 08:23:00";"Tortilla";NULL
| "tortue";"F";"2009-03-26 01:24:00";"Scroupy";NULL
| "tortue";"F";"2006-03-15 14:56:00";"Lulla";NULL
| "tortue";"F";"2008-03-15 12:02:00";"Dana";NULL
| "tortue";"F";"2009-05-25 19:57:00";"Cheli";NULL
| "tortue";"F";"2007-04-01 03:54:00";"Chicaca";NULL
| "tortue";"F";"2006-03-15 14:26:00";"Redbul";"Insomniaque"
| "tortue";"M";"2007-04-02 01:45:00";"Spoutnik";NULL
| "tortue";"M";"2008-03-16 08:20:00";"Bubulle";NULL
| "tortue";"M";"2008-03-15 18:45:00";"Relou";"Surpoids"
| "tortue";"M";"2009-05-25 18:54:00";"Bulbizard";NULL
| "perroquet";"M";"2007-03-04 19:36:00";"Safran";NULL
| "perroquet";"M";"2008-02-20 02:50:00";"Gingko";NULL
| "perroquet";"M";"2009-03-26 08:28:00";"Bavard";NULL
| "perroquet";"F";"2009-03-26 07:55:00";"Parlotte";NULL
| ```


[[attention]]
| Attention, le fichier doit se terminer par un saut de ligne !

Exécutez ensuite la commande suivante :


```sql
LOAD DATA LOCAL INFILE 'animal.csv'
INTO TABLE Animal
FIELDS TERMINATED BY ';' ENCLOSED BY '"'
LINES TERMINATED BY '\n' -- ou '\r\n' selon l'ordinateur et le programme utilisés pour créer le fichier
(espece, sexe, date_naissance, nom, commentaires);
```

Et hop ! Vous avez plus d'une cinquantaine d'animaux dans votre table.

Si vous voulez vérifier, je rappelle que vous pouvez utiliser la commande suivante, qui vous affichera toutes les données contenues dans la table _Animal_.


```sql
SELECT * FROM Animal;
```

Nous pouvons maintenant passer au chapitre suivant !