La commande utilisée pour supprimer des données est `DELETE`. Cette opération est irréversible, soyez très prudents !
On utilise la clause `WHERE` de la même manière qu'avec la commande `SELECT` pour préciser quelles lignes doivent être supprimées. 


```sql
DELETE FROM nom_table 
WHERE critères;
```

Par exemple : Zoulou est mort, paix à son âme  :ange:  ... Nous allons donc le retirer de la base de données.


```sql
DELETE FROM Animal 
WHERE nom = 'Zoulou';
```

Et voilà, plus de Zoulou  :'( !

Si vous désirez supprimer toutes les lignes d'une table, il suffit de ne pas préciser de clause `WHERE`. 


```sql
DELETE FROM Animal;
```


[[erreur]]
| Attention, je le répète, cette opération est **irréversible**. Soyez toujours bien sûrs d'avoir sous la main une sauvegarde de votre base de données au cas où vous regretteriez votre geste (on ne pourra pas dire que je ne vous ai pas prévenus).