## En résumé



- Un index est une structure de données qui reprend la **liste ordonnée des valeurs auxquelles il se rapporte**.
- Un index peut se faire sur une ou plusieurs colonnes ; et dans les cas d'une colonne de type alphanumérique (`CHAR`, `VARCHAR`, `TEXT`, etc.), il peut ne prendre en compte qu'une partie de la colonne (les _x_ premiers caractères).
- Un index permet d'accélérer les recherches faites sur les colonnes constituant celui-ci.
- Un index `UNIQUE` ne peut contenir qu'une seule fois chaque valeur (ou combinaison de valeurs si l'index est composite, c'est-à-dire sur plusieurs colonnes).
- Un index `FULLTEXT` (réservé aux tables MyISAM) permet de faire des recherches complexes sur le contenu des colonnes le constituant.