## En résumé



- Le mot-clé `IGNORE`, utilisé dans des requêtes `INSERT`, `UPDATE` ou `LOAD DATA`, permet de ne pas déclencher d'erreur en cas de violation d'une contrainte d'unicité : la ligne posant problème ne sera simplement pas insérée/modifiée.
- Utiliser `REPLACE` au lieu de `INSERT` (ou dans `LOAD DATA`) supprime les lignes existantes qui provoquent une violation de la contrainte d'unicité à l'insertion, puis insère la nouvelle ligne.
- Il est possible, en ajoutant une clause `ON DUPLICATE KEY UPDATE` à une requête `INSERT INTO`, de provoquer soit une insertion (si aucune contrainte d'unicité n'est violée), soit une modification de certaines valeurs de la ligne déjà existante (dans le cas contraire).