Lorsque vous insérez ou modifiez une ligne dans une table, différents événements en relation avec les clés et les index peuvent se produire.


- L'insertion/la modification peut réussir, c'est évidemment le mieux.
- L'insertion/la modification peut échouer parce qu'une **contrainte de clé secondaire n'est pas respectée**.
- L'insertion/la modification peut échouer parce qu'une **contrainte d'unicité** (clé primaire ou index `UNIQUE`) n'est pas respectée.


Nous allons ici nous intéresser à la troisième possibilité : ce qui arrive en cas de non-respect d'une **contrainte d'unicité**. Pour l'instant, dans ce cas-là, une erreur est déclenchée. À la fin de ce chapitre, vous serez capables de modifier ce comportement : 


- vous pourrez laisser l'insertion/la modification échouer, mais **sans déclencher d'erreur** ;
- vous pourrez **remplacer la(les) ligne(s) qui existe(nt) déjà** par la ligne que vous essayez d'insérer (ne concerne que les requêtes d'insertion) ;
- enfin vous pourrez **modifier la ligne qui existe déjà** au lieu d'en insérer une nouvelle (ne concerne que les requêtes d'insertion).