Vous savez donc que les fonctions d'agrégation groupent plusieurs lignes ensemble. Jusqu'à maintenant, toutes les lignes étaient chaque fois regroupées en une seule. Mais ce qui est particulièrement intéressant avec ces fonctions, c'est qu'il est possible de **regrouper les lignes en fonction d'un critère**, et d'avoir ainsi plusieurs groupes distincts.
Par exemple, avec la fonction `COUNT(*)`, vous pouvez compter le nombre de lignes que vous avez dans la table _Animal_. Mais que diriez-vous de faire des groupes par espèces, et donc de savoir en une seule requête combien vous avez de chats, chiens, etc. ? Un simple groupement, et c'est fait !

Au programme de ce chapitre :


- les règles et la syntaxe à appliquer pour regrouper des lignes ;
- le groupement sur plusieurs critères ;
- les "super-agrégats" ;
- la sélection de certains groupes sur la base de critères.