## En résumé



- De nombreuses fonctions permettent d'extraire un élément précis à partir d'une donnée temporelle : `HOUR()` permet d'extraire l'heure, `YEAR()` extrait l'année,…
- On peut formater une donnée temporelle facilement en utilisant `DATE_FORMAT()` et `TIME_FORMAT()` avec des spécificateurs : "_%M_" représente le nom du mois, "_%i_" les minutes,…
- Il existe cinq formats de date standard : EUR, ISO, USA, JIS et INTERNAL.
- Pour que les noms des jours et des mois soient donnés en français, il faut exécuter cette commande : `SET lc_time_names = 'fr_FR';`
- Lorsque l'on a une donnée temporelle dans un format particulier, on peut la transformer en `DATE`, `TIME` ou `DATETIME` avec `STR_TO_FORMAT()`, qui utilise les mêmes spécificateurs que `DATE_FORMAT()` et `TIME_FORMAT()`.