## En résumé



- Un gestionnaire d'erreur permet d'**intercepter un ou plusieurs types d'erreurs** (ou avertissements) SQL et de déclencher une série d'instructions en cas d'erreur.
- Les erreurs interceptées peuvent être représentées par un numéro d'erreur MySQL, un identifiant `SQLSTATE` ou une `CONDITION`.
- Il existe trois conditions prédéfinies : `SQLEXCEPTION` (pour tout type d'erreur SQL), `SQLWARNING` (pour tout avertissement) et `NOT FOUND` (en cas de `FETCH` sur un jeu de résultats vide ou épuisé).
- Un curseur est une structure qui permet de **parcourir un jeu de résultats**
- Dans un bloc d'instructions, on déclare d'abord les variables locales, puis les conditions, suivies des curseurs, et pour finir les gestionnaires d'erreurs. Toutes ces déclarations doivent être faites avant les instructions du bloc.