## En résumé



- Une table temporaire est une table qui **n'existe que pour la session dans laquelle elle a été créée**. Dès que la session se termine, les tables temporaires sont supprimées.
- Une table temporaire est **créée de la même manière qu'une table normale**. Il suffit d'ajouter le mot-clé `TEMPORARY` avant `TABLE`.
- On peut créer une table (temporaire ou non) à partir de la structure d'une autre table avec `CREATE [TEMPORARY] TABLE nouvelle_table LIKE ancienne_table;`.
- On peut créer une table à partir d'une requête `SELECT` avec `CREATE [TEMPORARY] TABLE SELECT ...;`.
- Les tables temporaires permettent de **gagner en performance** lorsque, dans une session on doit exécuter plusieurs requêtes sur un même set de données.
- On peut utiliser les tables temporaires pour créer des **données de test**.
- Enfin, les tables temporaires peuvent être utilisées pour stocker un set de résultats d'une procédure stockée.