Il est important de bien comprendre les caractéristiques, ainsi que les avantages et inconvénients des vues, tables temporaires et vues matérialisées afin de les utiliser à bon escient. 

Voici une conclusion générale (et simplifiée) sur l'usage de ces trois concepts.


- Les **vues** ne permettent pas de gagner en performance. Elle fournissent juste une **interface**, qui peut permettre de gérer les accès des utilisateurs ou de simplifier les requêtes par exemple.
- Les **tables temporaires** servent lorsque, **ponctuellement**, on doit faire un traitement sur un set de données particulier, pour faire des tests ou des statistiques par exemple.
- Les **vues matérialisées** permettent de stocker des **données sélectionnées ou calculées à partir d'autres tables**. Elles permettent de gagner en performance dans le cas où ces données nécessitent de longs calculs, mais ne changent pas trop souvent (**attention à l'équilibre coût du calcul sans la vue matérialisée et coût de la mise à jour de la vue matérialisée**).