## En résumé



- Les utilisateurs et leurs privilèges sont stockés dans la base de données _mysql_.
- On peut manipuler directement les tables de la base _mysql_, ou utiliser les commandes dédiées pour gérer les utilisateurs (`CREATE USER`, `DROP USER`,…) et leurs privilèges (`GRANT`, `REVOKE`).
- Lorsque l'on accorde un privilège à un utilisateur, il faut également préciser à quel niveau on le lui accorde (global, base de données, table, colonne, procédure).
- Le privilège `ALL` permet d'accorder en une fois tous les privilèges, sauf `GRANT OPTION`. Le privilège `USAGE` permet de modifier les options d'un utilisateur avec la commande `GRANT` sans modifier ses privilèges. Quant à `GRANT OPTION`, cela permet à un utilisateur d'accorder à d'autres les privilèges qu'il possède.
- Les privilèges des vues, procédures stockées et triggers sont vérifiés de manière particulière, grâce aux clauses `DEFINER` et `SQL SECURITY` utilisées à la création de ces objets.
- Il est également possible, avec la commande `GRANT`, de limiter les ressources disponibles pour un utilisateur, et d'obliger un utilisateur à se connecter via SSL.