## En résumé



- Les variables système sont des variables qui déterminent certains comportements de MySQL, certains paramètres.
- Les variables système existent à deux niveaux : global (niveau serveur) et session.
- On peut afficher les variables système avec `SHOW VARIABLES` et avec `SELECT @@nom_variable` (en précisant éventuellement le niveau désiré).
- On peut modifier les variables système avec la commande `SET @@nom_variable`, en précisant éventuellement le niveau auquel on veut la modifier (par défaut, ce sera au niveau de la session).
- On peut préciser des options au démarrage de la session et au démarrage du serveur, avec `--option[=valeur]`.
- Tous les paramètres de MySQL sont également définissables dans des fichiers de configuration.