Lorsque l'on modifie une table, on peut vouloir lui ajouter, retirer ou modifier quelque chose. Dans les trois cas, c'est la commande `ALTER TABLE` qui sera utilisée, une variante existant pour chacune des opérations :


```sql
ALTER TABLE nom_table ADD ... -- permet d'ajouter quelque chose (une colonne par exemple)

ALTER TABLE nom_table DROP ... -- permet de retirer quelque chose 

ALTER TABLE nom_table CHANGE ...
ALTER TABLE nom_table MODIFY ... -- permettent de modifier une colonne
```


## Créons une table pour faire joujou

Dans la seconde partie de ce tutoriel, nous devrons faire quelques modifications sur notre table _Animal_, mais en attendant, je vous propose d'utiliser la table suivante, si vous avez envie de tester les différentes possibilités d'`ALTER TABLE` :


```sql
CREATE TABLE Test_tuto (
	id INT NOT NULL,
	nom VARCHAR(10) NOT NULL,
        PRIMARY KEY(id)
);
```