## En résumé



- Lorsque l'on crée (ou modifie) une clé étrangère, on peut lui définir deux options : `ON DELETE`, qui sert en cas de suppression de la référence ; et `ON UPDATE`, qui sert en cas de modification de la référence.
- `RESTRICT` et `NO ACTION` désignent le comportement par défaut : la référence ne peut être ni supprimée, ni modifiée si cela entraîne des données incohérentes vis-à-vis de la clé étrangère.
- `SET NULL` fait en sorte que les données de la clé étrangère ayant perdu leur référence (suite à une modification ou une suppression) soient mises à `NULL`.
- `CASCADE` répercute la modification ou la suppression d'une référence de clé étrangère sur les lignes impactées.