Après les verrous et les transactions, voici une troisième notion importante pour la sécurisation des requêtes : les requêtes préparées.

Une requête préparée, c'est en quelque sorte **une requête stockée en mémoire** (pour la session courante), et **que l'on peut exécuter** à loisir. Mais avant d'entrer dans le vif du sujet, nous allons faire un détour par **les variables utilisateur**, qui sont indispensables aux requêtes préparées.

Dans ce chapitre, nous apprendrons donc :


- ce que sont les variables utilisateur et comment les définir ;
- ce qu'est une requête préparée ;
- comment créer, exécuter et supprimer une requête préparée ;
- la manière d'utiliser les requêtes préparées ;
- en quoi les requêtes préparées sont utiles pour la sécurisation d'une application ;
- comment et dans quel cas on peut gagner en performance en utilisant les requêtes préparées.