Vous commencez à connaître cette commande : pour supprimer une procédure, on utilise `DROP` (en précisant qu'il s'agit d'une procédure).

**Exemple** :


```sql
DROP PROCEDURE afficher_races;
```


Pour rappel, les procédures stockées ne sont pas détruites à la fermeture de la session mais bien enregistrées comme un élément de la base de données, au même titre qu'une table par exemple.

Notons encore qu'il n'est pas possible de modifier une procédure directement. La seule façon de modifier une procédure existante est de la supprimer puis de la recréer avec les modifications.


[[information]]
| Il existe bien une commande `ALTER PROCEDURE`, mais elle ne permet de changer ni les paramètres, ni le corps de la procédure. Elle permet uniquement de changer certaines caractéristiques de la procédure, et ne sera pas couverte dans ce cours.