## En résumé



- Une vue est une requête `SELECT` que l'on stocke et à laquelle on donne un nom.
- La requête `SELECT` stockée dans une vue peut utiliser des jointures, des clauses `WHERE`, `GROUP BY`, des fonctions (scalaires ou d’agrégation), etc. L'utilisation de `DISTINCT` et `LIMIT` est cependant déconseillée.
- On peut sélectionner les données à partir d'une vue de la même manière qu'on le fait à partir d'une table. On peut donc utiliser des jointures, des fonctions, des `GROUP BY`, des `LIMIT`,…
- Les vues permettent de simplifier les requêtes, de créer une interface entre l'application et la base de données, et/ou restreindre finement l'accès en lecture des données aux utilisateurs.
- Sous certaines conditions, il est possible d'insérer, modifier et supprimer des données à partir d'une vue.